# Don't apply this patch with kubectl, it overwrites the original repo-server!
# Instead merge by hand in the bootstap process.
spec:
  template:
    spec:
      imagePullSecrets:
        - name: gitlab-pull-secret
      containers:
        - command:
            - /var/run/argocd/argocd-cmp-server
          image: registry.gitlab.com/oceanbox/manifests/helmfile-cmp:latest
          imagePullPolicy: Always
          name: helmfile-cmp
          securityContext:
            runAsNonRoot: true
            runAsUser: 999
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
            - mountPath: /var/run/argocd
              name: var-files
            - mountPath: /home/argocd/cmp-server/plugins
              name: plugins
            - mountPath: /tmp
              name: tmp
            - mountPath: /helm-working-dir
              name: helm-working-dir
